# Generated by Django 3.2.13 on 2023-03-05 15:18

import authlib.oauth2.rfc6749.models
import authlib.oidc.core.models
from django.db import migrations, models
import django.db.models.deletion
import uuid


class Migration(migrations.Migration):

    dependencies = [
        ('authn', '0006_auto_20220525_1000'),
    ]

    operations = [
        migrations.AlterField(
            model_name='apps',
            name='jwt_algorithm',
            field=models.CharField(default='', max_length=16),
        ),
        migrations.AlterField(
            model_name='apps',
            name='jwt_secret',
            field=models.TextField(null=True),
        ),
        migrations.CreateModel(
            name='OAuth2Token',
            fields=[
                ('id', models.UUIDField(default=uuid.uuid4, editable=False, primary_key=True, serialize=False)),
                ('client_id', models.CharField(max_length=32)),
                ('token_type', models.CharField(max_length=40)),
                ('access_token', models.CharField(db_index=True, max_length=255, unique=True)),
                ('refresh_token', models.CharField(db_index=True, max_length=255)),
                ('scope', models.TextField(default='')),
                ('revoked', models.BooleanField(default=False)),
                ('issued_at', models.DateTimeField(auto_now_add=True)),
                ('expires_in', models.IntegerField(default=0)),
                ('user', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='users.user')),
            ],
            options={
                'db_table': 'oauth_tokens',
            },
            bases=(models.Model, authlib.oauth2.rfc6749.models.TokenMixin),
        ),
        migrations.CreateModel(
            name='OAuth2AuthorizationCode',
            fields=[
                ('id', models.UUIDField(default=uuid.uuid4, editable=False, primary_key=True, serialize=False)),
                ('client_id', models.CharField(max_length=32)),
                ('code', models.CharField(max_length=120, unique=True)),
                ('redirect_uri', models.TextField(default='', null=True)),
                ('response_type', models.TextField(default='code')),
                ('scope', models.TextField(default='openid', null=True)),
                ('auth_time', models.DateTimeField(auto_now_add=True)),
                ('nonce', models.CharField(default='', max_length=120, null=True)),
                ('user', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='users.user')),
            ],
            options={
                'db_table': 'oauth_codes',
            },
            bases=(models.Model, authlib.oidc.core.models.AuthorizationCodeMixin),
        ),
        migrations.CreateModel(
            name='OAuth2App',
            fields=[
                ('id', models.UUIDField(default=uuid.uuid4, editable=False, primary_key=True, serialize=False)),
                ('name', models.CharField(max_length=64, unique=True)),
                ('description', models.CharField(blank=True, max_length=512, null=True)),
                ('website', models.URLField(blank=True, null=True)),
                ('client_id', models.CharField(blank=True, default='', max_length=32)),
                ('client_secret', models.CharField(blank=True, max_length=64, null=True)),
                ('service_token', models.CharField(blank=True, db_index=True, max_length=128, null=True, unique=True)),
                ('redirect_uris', models.TextField(default='', max_length=2048)),
                ('scope', models.TextField(default='openid', max_length=256)),
                ('response_type', models.TextField(default='code', max_length=256)),
                ('grant_type', models.TextField(default='authorization_code', max_length=128)),
                ('token_endpoint_auth_method', models.CharField(default='client_secret_basic', max_length=120)),
                ('created_at', models.DateTimeField(auto_now_add=True)),
                ('owner', models.ForeignKey(null=True, on_delete=django.db.models.deletion.CASCADE, related_name='oauth_apps', to='users.user')),
            ],
            options={
                'db_table': 'oauth_apps',
            },
            bases=(models.Model, authlib.oauth2.rfc6749.models.ClientMixin),
        ),
    ]
