# Generated by Django 3.0.4 on 2020-05-11 20:53
from django.contrib.postgres.operations import CreateExtension
from django.db import migrations, models
import django.db.models.deletion
import uuid


class Migration(migrations.Migration):

    dependencies = [
        ('users', '0006_user_is_email_unsubscribed'),
        ('posts', '0009_auto_20200429_0817'),
    ]

    operations = [
        migrations.CreateModel(
            name='PostSubscription',
            fields=[
                ('id', models.UUIDField(default=uuid.uuid4, editable=False, primary_key=True, serialize=False)),
                ('created_at', models.DateTimeField(auto_now_add=True)),
                ('post', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='subscriptions', to='posts.Post')),
                ('user', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='subscriptions', to='users.User')),
            ],
            options={
                'db_table': 'post_subscriptions',
            },
        ),
        CreateExtension('uuid-ossp'),
        migrations.RunSQL(
            "insert into post_subscriptions (id, post_id, user_id, created_at) "
            "select uuid_generate_v4(), id as post_id, author_id as user_id, created_at from posts"
        )
    ]
